@Echo off

set CmdCurRoot_DP=%~dp0
set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%

set JobMgr_EchoLogBase_DPNE=%~dp0Echo2_HelpBase.txt
set JobMgr_EchoLog_DPNE=%~dp0Echo2_Help.txt
copy "%JobMgr_EchoLogBase_DPNE%" "%JobMgr_EchoLog_DPNE%"

call %CmdCurRoot_DP%\..\_JobMgrDefaults\Parse_Absolut_DP.cmd JobMgrDefaults_DP "%CmdCurRoot_DP%\..\_JobMgrDefaults\"

REM Echo ---------------------------------------------------------
set path=%JobMgrDefaults_DP%;%CmdCurRoot_DP%;%path
Call :GetExample Call Echo2 "----" "----"
Call :GetExample Call Echo2 " --- Descr" "---- Value"
Call :GetExample Call Echo2 "--- " " --- Hello Text"
Call :GetExample Call Echo2 "--- Dec" "Value ---"
Call :GetExample Call Echo2 "#--#" "#--#"
Call :GetExample Call Echo2 "####" "####"
Call :GetExample Call Echo2 " #-#" "#--#"
Call :GetExample Call Echo2 "****"
Call :GetExample Call Echo2 "*" "Header Text"
Call :GetExample Call Echo2 "****"

Echo JobMgr_EchoLog_DPNE:%JobMgr_EchoLog_DPNE%
REM Echo ---------------------------------------------------------
pause
Exit

:GetExample
 set toRun=%*
 Echo.>>%JobMgr_EchoLog_DPNE%
 Echo %toRun%>>%JobMgr_EchoLog_DPNE%
 %toRun%
 goto :eof


